<?php declare(strict_types=1);

namespace Plugin\agi_shopgate_connect\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

class Migration20211013140000 extends Migration implements IMigration
{
  public function up()
  {
    $this->execute("CREATE TABLE IF NOT EXISTS `xplugin_agi_shopgate_connect_config` (
        `cName` varchar(255) NOT NULL,
        `cWert` text NOT NULL,
        PRIMARY KEY (`cName`)
      ) ENGINE=InnoDB COLLATE utf8_unicode_ci");
    $inserts = array();
    $inserts[] = (object) ['cName' => 'cZahlungsartenZuordnen', 'cWert' => ''];
    $inserts[] = (object) ['cName' => 'cShopgateZahlartenZuordnen', 'cWert' => "Shopgate (Rechnung)::Rechnung::0\nShopgate (Kreditkarte)::Kreditkarte::0\nShopgate (SOFORT Überweisung)::SOFORT Überweisung::1\nShopgate (PayPal Plus)::PayPal PLUS::0\nShopgate (Vorkasse)::Überweisung::0"];
    foreach ($inserts as $value) {
      $this->getDB()->insertRow('xplugin_agi_shopgate_connect_config', $value);
    }
    
    $this->execute("CREATE TABLE IF NOT EXISTS `xplugin_agi_shopgate_connect_orders` (
        `kBestellung` int(11) NOT NULL,
        `kBestellungShopgate` varchar(128) NOT NULL,
        `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
        `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
        `history` text NOT NULL,
        `sgVersandstatusGesendet` tinyint(1) NOT NULL DEFAULT 0,
        `sgShopNumber` int(11) NOT NULL DEFAULT 0,
        `sgBestellungStorniert` tinyint(1) NOT NULL DEFAULT 0,
        PRIMARY KEY (`kBestellung`),
        KEY `kBestellungShopgate` (`kBestellungShopgate`),
        KEY `sgShopNumber` (`sgShopNumber`)
      ) ENGINE=InnoDB COLLATE utf8_unicode_ci");
  }

  public function down()
  {
    $this->execute("DROP TABLE IF EXISTS `xplugin_agi_shopgate_connect_config`");
    //$this->execute("DROP TABLE IF EXISTS `xplugin_agi_shopgate_connect_orders`");
  }
}
