<?php declare(strict_types=1);
/**
 * dynamic data source for lieferstatus-options
 *
 * return value of these functions has to be an array of objects
 * where every object should have the members cWert, cName and optional nSort
 *
 * @package Plugin\agi_shopgate_connect\adminmenu
 */

$options = [];
$db = JTL\Shop::Container()->getDB();

$query = "
  SELECT kLieferstatus, cName
  FROM tlieferstatus
  WHERE kSPrache = :kSprache
  ORDER BY kLieferstatus
";
$versandklassen = $db->queryPrepared(
  $query,
  ['kSprache' => JTL\Shop::getLanguageID()],
  JTL\DB\ReturnType::ARRAY_OF_OBJECTS
);

$option        = new stdClass();
$option->cWert = 0;
$option->cName = 'nichts deaktivieren';
$option->nSort = 1;
$options[]     = $option;

$sort = 2;
foreach ($versandklassen as $row) {
  $option        = new stdClass();
  $option->cWert = $row->kLieferstatus;
  $option->cName = $row->cName;
  $option->nSort = $sort;
  $options[]     = $option;
  $sort++;
}

return $options;
