<form method="post" class="navbar-form">
    {$jtl_token}
    <div class="form-group form-row align-items-center">
      <label for="inputSgRedirectActive" class="col col-sm-4 col-form-label text-sm-right">Umleitung auf die mobile Shopgate-Shopseite aktivieren?</label>
      <div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2">
        <div class="input-group-checkbox-wrap">
          <div class="custom-control custom-checkbox">
            <input type="checkbox" name="inputSgRedirectActive" id="inputSgRedirectActive" {if $valueSgRedirectActive == 'Y'} checked="checked" {/if} class="custom-control-input form-control" />
            <label class="custom-control-label" for="inputSgRedirectActive" />
          </div>
        </div>
      </div>
    </div>
    
    <div class="panel-idx-13 mb-3">
      <div class="subheading1">
        API-Anbindungen
      </div>
      <hr />
      <div>
        <p>
          Geben Sie folgende URL bei der Einrichtung der Schnittstelle im Shopgate-Backend an:<br />
          <strong>{$SHOPGATE_PLUGIN_URL}</strong>
        </p>
        {if !$bConfDirIsWritable || !$bTempDirIsWritable || !$bCacheDirIsWritable || !$bLogDirIsWritable}
          <p class="text-warning">
            {if !$bConfDirIsWritable}Das Verzeichnis &quot;{$cShopgateConfigDir}&quot; ist nicht beschreibbar.<br />{/if}
            {if !$bTempDirIsWritable}Das Verzeichnis &quot;{$cShopgateTempDir}&quot; ist nicht beschreibbar.<br />{/if}
            {if !$bCacheDirIsWritable}Das Verzeichnis &quot;{$cShopgateCacheDir}&quot; ist nicht beschreibbar.<br />{/if}
            {if !$bLogDirIsWritable}Das Verzeichnis &quot;{$cShopgateLogDir}&quot; ist nicht beschreibbar.<br />{/if}
          </p>
        {/if}
        <p>
          <strong>Legen Sie f&uuml;r jede zu exportierende Sprache eine Zeile an, sofern f&uuml;r diese Sprachen separate Shopgate-Shops eingerichtet sind.</strong>
        </p>
        <div class="table-responsive">
        <table style="cellpadding: 5px; cellspacing: 5px;" summary="Konfiguration" class="list table table-bordered">
          <thead>
            <tr>
              <th>Kundennummer</th>
              <th>Shopnummer</th>
              <th>API-Key</th>
              <th>Sprache</th>
              <th>l&ouml;schen</th>
            </tr>
          </thead>
          <tbody>
          {foreach name=shoploop item=shop from=$shopConfigArray} 
            <tr>
              <td><input type="text" name="sg_customer_number_{$shop.shopnumber}" value="{$shop.data.customer_number}" class="form-control" /></td>
              <td>
                <input type="text" name="sg_shop_number_{$shop.shopnumber}" size="20" maxlength="64" value="{$shop.data.shop_number}" class="form-control" />
                <input type="hidden" name="sg_shop_number_ref[]" value="{$shop.shopnumber}" />
              </td>
              <td><input type="text" name="sg_apikey_{$shop.shopnumber}" size="20" maxlength="64" value="{$shop.data.apikey}" class="form-control" /></td>
              <td>
                <select name="sg_lang_{$shop.shopnumber}" id="sg_lang_{$shop.shopnumber}" class="custom-select">
                  {foreach name=wrapper item=option from=$aShopSprachen}
                    <option value="{$option.kSprache}" {if $shop.data.jtlSprache == $option.kSprache} selected="selected" {/if}>{$option.cName}</option>
                  {/foreach}
                </select>
              </td>
              <td><input type="checkbox" name="sg_delete_{$shop.shopnumber}" /></td>
            </tr>
            <tr>
              <td colspan="5">
                <strong>{$shop.file}</strong>
                {if $shop.writable}
                  <small>{$cTextFileIsWritable}</small>
                {else}
                  <small>{$cTextFileIsNotWritable}</small>
                {/if}
              </td>
            </tr>
          {/foreach}
            <tr>
              <td><input type="text" name="sg_customer_number_new" value="{$shop_new.customer_number}" class="form-control" /></td>
              <td><input type="text" name="sg_shop_number_new" size="20" maxlength="64" value="{$shop_new.shop_number}" class="form-control" /></td>
              <td><input type="text" name="sg_apikey_new" size="20" maxlength="64" value="{$shop_new.apikey}" class="form-control" /></td>
              <td>
                <select name="sg_lang_new" id="sg_lang_new" class="custom-select">
                  {foreach name=wrapper item=option from=$aShopSprachen}
                    <option value="{$option.kSprache}" {if $shop_new.jtlSprache == $option.kSprache} selected="selected" {/if}>{$option.cName}</option>
                  {/foreach}
                </select>
              </td>
              <td>&nbsp;</td>
            </tr>
            {if !$bConfDirIsWritable}
            <tr>
              <td colspan="5">
                <strong>Das Verzeichnis &quot;{$cShopgateConfigDir}&quot; ist nicht beschreibbar. Die neue Konfigurationsdatei kann nicht angelegt werden.</strong>
              </td>
            </tr>
            {/if}
          </tbody>
        </table>
        </div>
      </div>
    </div>
    <div class="save-wrapper">
      <div class="row">
        <div class="ml-auto col-sm-6 col-xl-auto">
          <input type="hidden" name="kPluginAdminMenu" value="{$menuID}" />
          <input type="hidden" name="api_action" value="save" />
          <button class="btn btn-primary" type="submit">{__('submit')}</button>
        </div>
      </div>
    </div>
</form>
