<?php

namespace Plugin\agi_shopgate_connect\licence;

use JTL\Shop;
use JTL\Plugin\LicenseInterface;
use JTL\Plugin\Helper AS PluginHelper;
use JTL\DB\ReturnType;

class PluginLicence implements LicenseInterface
{
  /**
   + @param string $cLicence
   + @return mixed
   */
  public function checkLicence($cLicence)
  {
    $cLicence = strtolower($cLicence);
    $cLicence = preg_replace('/\s/', '', $cLicence);
    $lKey = (strlen($cLicence) > 0 && $cLicence != "test") ? $cLicence : '';
    $db = Shop::Container()->getDB();
    
    $oPlugin = $db->queryPrepared(
      "SELECT kPlugin, nVersion FROM tplugin WHERE cPluginID = 'agi_shopgate_connect'",
      [],
      ReturnType::SINGLE_OBJECT
    );
    $JTLPluginConf = PluginHelper::getConfigByID($oPlugin->kPlugin);
    if (empty($JTLPluginConf['sLizDate']) || $JTLPluginConf['sLizDate'] < date('Y-m-d')) {
      $shop = parse_url(Shop::getURL(), PHP_URL_HOST);
      $shop = preg_replace('/^www\./', '', $shop);
      $val = false;
      $ch = curl_init();
      curl_setopt($ch, CURLOPT_TIMEOUT, 10);
      curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
      curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
      curl_setopt($ch, CURLOPT_URL, 'https://pruefe-lizenz.agisolution.de/jtl_shopgate_concect.php?'.http_build_query(['licence'=>$lKey, 'shop'=>$shop, 'version'=>$oPlugin->nVersion]));
      curl_setopt($ch, CURLOPT_HTTPGET, true);
      $response_body = curl_exec($ch);  
      $response_info = curl_getinfo($ch);
      if ($response_info['http_code'] == 200) {
        if (strlen($response_body) == 4 && $response_body == 'true') {
          $db->update(
            'tplugineinstellungen',
            ['kPlugin', 'cName'],
            [$oPlugin->kPlugin, 'sLizDate'],
            (object)['cWert' => date('Y-m-d')]
          );
          $val = true;
        }
      }
      elseif ($response_info['http_code'] == 204) {
        $val = false;
      }
      else {
        $val = true;
      }
      
      return $val;
    }
    return true;
  }
}